Package org.eclipse.birt.report.model.api.core

# Interface IAccessControl

public interface IAccessControl
Represents the visibility level of a module.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARBITARY_LEVEL`
All included libraries.
`static final int`
`DIRECTLY_INCLUDED_LEVEL`
Resources in directly included libraries.
`static final int`
`NATIVE_LEVEL`
Native resources.

## Field Details

### NATIVE_LEVEL

static final int NATIVE_LEVEL
Native resources.

See Also:
  - Constant Field Values

### DIRECTLY_INCLUDED_LEVEL

static final int DIRECTLY_INCLUDED_LEVEL
Resources in directly included libraries.

See Also:
  - Constant Field Values

### ARBITARY_LEVEL

static final int ARBITARY_LEVEL
All included libraries. No matter directly or indirectly.

See Also:
  - Constant Field Values